Subject: bug#16688: 24.3; slow select region on X over SSH

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 04 Dec 2020 13:14:19 +0100

Ryo Furue <[email-masked]> writes:

> I run emacs on a remote Debian-testing server on X over SSH
> from my local Mac OS X machine.  
>
> I compared these two cases:
>
> remote$ /usr/bin/emacs24 -q --eval '(+ 2 3)'
> remote$ /usr/bin/emacs24 -q --eval '(setq select-active-regions nil)'
>
> In the former case, once you press C-Spc (control-space), the emacs
> text cursor moves only very slowly.  In the latter case, the text
> cursor moves normally.  I repeated the two cases alternately for five
> times or so and always got the same contrast.

I think this is to be expected -- in the former case, any changes to the
active region will set the primary selection, and (if I remember how
this works in X; I may be misremembering) this means that Emacs has to
communicate this to the X server -- which takes time, depending on how
fast your connection is.

So I don't think there's a bug here, and I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no